This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 996530 - Review Request: Script-Tools - Automate releases & more
Review Request: Script-Tools - Automate releases & more
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
: 835089 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 07:19 EDT by Simon A. Erat
Modified: 2013-11-21 10:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review?


Attachments (Terms of Use)
SRPM (265.46 KB, application/x-rpm)
2013-08-13 07:19 EDT, Simon A. Erat
no flags Details
Specfile (32.16 KB, text/x-rpm-spec)
2013-08-13 07:22 EDT, Simon A. Erat
no flags Details
Specfile 0.8.3 (32.82 KB, text/x-rpm-spec)
2013-08-13 12:03 EDT, Simon A. Erat
no flags Details
SRPM 0.8.3 - fixes #1 (249.69 KB, application/x-rpm)
2013-08-13 12:10 EDT, Simon A. Erat
no flags Details
SRPM 0.8.3 - fixes #2 (249.71 KB, application/x-rpm)
2013-08-13 12:41 EDT, Simon A. Erat
no flags Details
SRPM 0.8.3 - fixes #3 (249.71 KB, application/x-rpm)
2013-08-13 13:39 EDT, Simon A. Erat
no flags Details
SRPM 0.8.3 - fixes #3 (249.71 KB, application/x-rpm)
2013-08-13 13:45 EDT, Simon A. Erat
no flags Details
SRPM 0.8.3 - fixes #4 (246.77 KB, application/x-rpm)
2013-08-13 15:05 EDT, Simon A. Erat
no flags Details
SRPM 0.8.4 (246.96 KB, application/x-rpm)
2013-08-14 03:53 EDT, Simon A. Erat
no flags Details
Specfile 0.8.4 (33.55 KB, text/x-rpm-spec)
2013-08-14 03:54 EDT, Simon A. Erat
no flags Details

  None (edit)
Description Simon A. Erat 2013-08-13 07:19:26 EDT
Created attachment 786112 [details]
SRPM

Description of problem:
Package review of Script-Tools

Version-Release number of selected component (if applicable):
0.8.2


Hello everyone,
i'm Simon from switzerland and a hobby developer half of my life (16 years+).
As a computer enthusiast i'm interested in quite a wide range of computer tasks.

During those 2 years using Fedora, i've figured, releasing a project can require quite some diffrent tasks, which need to be done frequently.
So Script-Tools lets you create a project and add handlers for:
rpmbuild, rpmlint, rpm2cpio, [s,l]ftp, createrepo, git, koji, live[cd,media]-creator and ssh.
(GCC handler is in plan, i did build packages, but not ready to write a handler)

As both, Github and Sourceforge provide free Codehosting for FOSS software, i've added handlers for these, to automatcly support your repositry and/or fileuploads to the hoster as well as filling out the git information according to the diffrent hosts, automaticly for you.
If Fedora has its own code hosting, i'd happily write a handler for that too :)

Once configured, just keep working at your project and update the "changelog" if applicable, then simply "st dev release LABEL" and simply agree or skip the tasks required for your project LABEL.

Its very silent, and i'm very tired, but the first ~ 10 minutes gives you about an idea of it: 
------------------------------------------

Spec:	http://sourceforge.net/projects/script-tools/files/script-tools.spec/download
Source:	http://sourceforge.net/projects/script-tools/files/script-tools-0.8.2-beta.fc19.src.rpm/download
Repo:	http://sourceforge.net/projects/script-tools/files/script-tools.repo/download
Tarball:	http://sourceforge.net/projects/script-tools/files/script-tools-0.8.2.tar.gz/download
Koji 1:	http://koji.fedoraproject.org/koji/taskinfo?taskID=5796920
Koji 2:	http://koji.fedoraproject.org/koji/taskinfo?taskID=5796912

FAS: sea
IRC: seasc
Comment 1 Simon A. Erat 2013-08-13 07:22:14 EDT
Created attachment 786113 [details]
Specfile
Comment 2 Simon A. Erat 2013-08-13 07:25:08 EDT
*** Bug 835089 has been marked as a duplicate of this bug. ***
Comment 3 Björn "besser82" Esser 2013-08-13 12:01:51 EDT
Lots of rpmlint issues:

Rpmlint
-------
Checking: script-tools-0.8.2-beta.fc20.x86_64.rpm
script-tools.x86_64: W: spelling-error Summary(en_US) Diffrent -> Different, Diff rent, Diff-rent
script-tools.x86_64: W: spelling-error %description -l en_US chmod -> ch mod, ch-mod, schmo
script-tools.x86_64: W: spelling-error %description -l en_US repofilename -> replenishment
script-tools.x86_64: W: spelling-error %description -l en_US autologin -> tautological
script-tools.x86_64: W: spelling-error %description -l en_US dl -> fl, d, l
script-tools.x86_64: W: spelling-error %description -l en_US diffrent -> different, diff rent, diff-rent
script-tools.x86_64: W: spelling-error %description -l en_US releas -> reseal, release, re leas
script-tools.x86_64: W: incoherent-version-in-changelog 0.8.2 ['0.8.2-beta.fc20', '0.8.2-beta']
script-tools.x86_64: W: invalid-url URL: http://sourceforge.net/p/script-tools HTTP Error 404: Not Found
script-tools.x86_64: E: no-binary
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/release 0644L /bin/bash
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Included_Functions/.alt
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Included_Functions/.alt
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/scripts/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/repo/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/changelog 0644L /bin/bash
script-tools.x86_64: W: wrong-file-end-of-line-encoding /usr/share/script-tools/Documentation/man/net.man
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/pkgs 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.alt/dev.nas.backup 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/remove 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/st/others 0644L /bin/bash
script-tools.x86_64: W: wrong-file-end-of-line-encoding /usr/share/script-tools/Documentation/man/bk.man
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/todo.part 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/Templates/cron/rndpic 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/bg 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/gdm/bg 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/bg-style 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/st/mods 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/stage 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/deskfile 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.build 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/copy 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.alt/Development.SSH 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/net/mgr 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/keyb 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/repo/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/sf/edit 0644L /bin/bash
script-tools.x86_64: W: wrong-file-end-of-line-encoding /usr/share/script-tools/Documentation/man/theme.man
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/cron/gotoBed.hide 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.StringStuff 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/sel 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/sf/uplf 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/sf/uplc 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.tweak.repo 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/submenu 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/slim/def-usr-name 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/make 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/slim/autologin-toggle 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/up.2 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ssh/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/gdm/rndbg 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/Templates/dev/release.conf 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/screen 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/prompt-theme 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/alias 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.ANSI 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ftp/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.net.nas 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ssh/make 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/install 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/stage.old 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/users 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/bk/sync 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Configuration_Variables/module.youtube 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/load_framework 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/Templates/cron/backup 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/man_cmd_list_gen.sh 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/kick 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/recover 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/ig 0644L /bin/bash
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Configuration_Lists/inst/.sys.multimedia
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.fs.files 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/spec 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/timeout 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/activ 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ssh/con 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.ks 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/uuid 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.CheckFunctions 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/koji/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.sa.cron 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/todo.luks 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/scripts/rm 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/import-gpg-key/rhel 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/bk/conf 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/gnome 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ftp/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/gdm/install 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/import-gpg-key/fedora 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.net.stnm 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/repo/upl 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/make 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/tmp.lm 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/breeze.hide 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/stage.target 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/kb 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.git 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/remove 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Configuration_Variables/module.cron.files 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.math.rnd 0644L /bin/bash
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Scripts-in-bin/.done
script-tools.x86_64: E: zero-length /usr/share/script-tools/Scripts-in-bin/.done
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.ftp 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Configuration_Variables/system.Paths 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/autologin-toggle 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/export 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/cron/backup.hide 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.status.cli 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/bg-image 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.isQuestions 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/gfx 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/cron/update.hide 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/iso/dl-fedora.old 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.rpm.koji 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/koji/edit 0644L /bin/bash
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Included_Functions/.goutputstream-8MAXXW
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.goutputstream-8MAXXW 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/slim/edit-session 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.interface.cli 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/review 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ssh/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/iso/live-image.beta 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ftp/upl 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/release.old 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/hostname 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/term 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.alt/dev.sourceforge.alt 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/up 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/collect_scripts 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.fs.partition 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/sf/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.all 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.Distro 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Configuration_Variables/system.Colors 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/build/default.build 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/font 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/koji/make 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/import 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/genman 0644L /bin/bash
script-tools.x86_64: W: non-conffile-in-etc /etc/yum.repos.d/script-tools.repo
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/slim/def-usr-toggle 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.alt/dev.prj.alt 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/autologin-name 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.git.sf 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.early 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/git/default.git 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/default.shared 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.ssh 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/install 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.rpm.repo 0644L /bin/bash
script-tools.x86_64: W: wrong-file-end-of-line-encoding /usr/share/script-tools/Documentation/man/repo.man
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.rpm 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/Templates/cron/update 0644L /bin/bash
script-tools.x86_64: W: dangling-symlink /usr/share/script-tools/UI_CLI/custom /home/simon/.config/script-tools/scripts
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/st/sys 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/change 0644L /bin/bash
script-tools.x86_64: E: invalid-desktopfile /usr/share/applications/Script-Tools.desktop
script-tools.x86_64: E: non-utf8-desktopfile /usr/share/applications/Script-Tools.desktop
0 packages and 0 specfiles checked; 146 errors, 20 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint script-tools
script-tools.x86_64: W: spelling-error Summary(en_US) Diffrent -> Different, Diff rent, Diff-rent
script-tools.x86_64: W: spelling-error %description -l en_US chmod -> ch mod, ch-mod, schmo
script-tools.x86_64: W: spelling-error %description -l en_US repofilename -> replenishment
script-tools.x86_64: W: spelling-error %description -l en_US autologin -> tautological
script-tools.x86_64: W: spelling-error %description -l en_US dl -> fl, d, l
script-tools.x86_64: W: spelling-error %description -l en_US diffrent -> different, diff rent, diff-rent
script-tools.x86_64: W: spelling-error %description -l en_US releas -> reseal, release, re leas
script-tools.x86_64: W: incoherent-version-in-changelog 0.8.2 ['0.8.2-beta.fc20', '0.8.2-beta']
script-tools.x86_64: W: invalid-url URL: http://sourceforge.net/p/script-tools HTTP Error 404: Not Found
script-tools.x86_64: E: no-binary
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/release 0644L /bin/bash
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Included_Functions/.alt
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Included_Functions/.alt
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/scripts/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/repo/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/changelog 0644L /bin/bash
script-tools.x86_64: W: wrong-file-end-of-line-encoding /usr/share/script-tools/Documentation/man/net.man
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/pkgs 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.alt/dev.nas.backup 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/remove 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/st/others 0644L /bin/bash
script-tools.x86_64: W: wrong-file-end-of-line-encoding /usr/share/script-tools/Documentation/man/bk.man
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/todo.part 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/Templates/cron/rndpic 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/bg 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/gdm/bg 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/bg-style 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/st/mods 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/stage 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/deskfile 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.build 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/copy 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.alt/Development.SSH 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/net/mgr 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/keyb 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/repo/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/sf/edit 0644L /bin/bash
script-tools.x86_64: W: wrong-file-end-of-line-encoding /usr/share/script-tools/Documentation/man/theme.man
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/cron/gotoBed.hide 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.StringStuff 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/sel 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/sf/uplf 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/sf/uplc 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.tweak.repo 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/submenu 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/slim/def-usr-name 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/make 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/slim/autologin-toggle 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/up.2 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ssh/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/gdm/rndbg 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/Templates/dev/release.conf 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/screen 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/prompt-theme 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/alias 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.ANSI 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ftp/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.net.nas 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ssh/make 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/install 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/stage.old 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/users 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/bk/sync 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Configuration_Variables/module.youtube 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/load_framework 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/Templates/cron/backup 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/man_cmd_list_gen.sh 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/kick 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/recover 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/ig 0644L /bin/bash
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Configuration_Lists/inst/.sys.multimedia
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.fs.files 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/rpm/spec 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/timeout 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/activ 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ssh/con 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.ks 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/uuid 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.CheckFunctions 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/koji/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.sa.cron 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/todo.luks 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/scripts/rm 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/import-gpg-key/rhel 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/bk/conf 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/gnome 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ftp/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/gdm/install 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/import-gpg-key/fedora 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.net.stnm 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/repo/upl 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/make 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/tmp.lm 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/breeze.hide 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/stage.target 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/kb 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.git 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/remove 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Configuration_Variables/module.cron.files 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.math.rnd 0644L /bin/bash
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Scripts-in-bin/.done
script-tools.x86_64: E: zero-length /usr/share/script-tools/Scripts-in-bin/.done
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.ftp 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Configuration_Variables/system.Paths 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/autologin-toggle 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/export 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/cron/backup.hide 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.status.cli 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/bg-image 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.isQuestions 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/gfx 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/cron/update.hide 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/iso/dl-fedora.old 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.rpm.koji 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/koji/edit 0644L /bin/bash
script-tools.x86_64: W: hidden-file-or-dir /usr/share/script-tools/Included_Functions/.goutputstream-8MAXXW
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.goutputstream-8MAXXW 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/slim/edit-session 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.interface.cli 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/review 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ssh/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/iso/live-image.beta 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ftp/upl 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/release.old 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/sa/hostname 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/term 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.alt/dev.sourceforge.alt 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/up 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/collect_scripts 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.fs.partition 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/sf/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.all 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.Distro 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Configuration_Variables/system.Colors 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/build/default.build 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/font 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/koji/make 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/edit 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/import 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/genman 0644L /bin/bash
script-tools.x86_64: W: non-conffile-in-etc /etc/yum.repos.d/script-tools.repo
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/slim/def-usr-toggle 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/.alt/dev.prj.alt 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/autologin-name 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.git.sf 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/system.early 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/git/default.git 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/default.shared 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.ssh 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/set/lm/lxdm/install 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.rpm.repo 0644L /bin/bash
script-tools.x86_64: W: wrong-file-end-of-line-encoding /usr/share/script-tools/Documentation/man/repo.man
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Included_Functions/module.dev.prj.rpm 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/Script-Core/Templates/cron/update 0644L /bin/bash
script-tools.x86_64: W: dangling-symlink /usr/share/script-tools/UI_CLI/custom /home/simon/.config/script-tools/scripts
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/dev/prj/ks/new 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/conf/st/sys 0644L /bin/bash
script-tools.x86_64: E: non-executable-script /usr/share/script-tools/UI_CLI/tweak/grub2/theme/change 0644L /bin/bash
script-tools.x86_64: E: invalid-desktopfile /usr/share/applications/Script-Tools.desktop value "System;Application;X-Fedora" for string list key "Categories" in group "Desktop Entry" does not have a semicolon (';') as trailing character
script-tools.x86_64: W: desktopfile-without-binary /usr/share/applications/Script-Tools.desktop /usr/bin/st
1 packages and 0 specfiles checked; 145 errors, 21 warnings.

#####

This is a package with scripts, only; no c-compiled binaries.

  --> add `BuildArch: noarch`, please

#####

Fix those issues, reupload and I'll take another run.
Comment 4 Simon A. Erat 2013-08-13 12:03:59 EDT
Created attachment 786205 [details]
Specfile 0.8.3
Comment 5 Simon A. Erat 2013-08-13 12:10:03 EDT
Created attachment 786206 [details]
SRPM 0.8.3 - fixes #1
Comment 6 Simon A. Erat 2013-08-13 12:41:47 EDT
Created attachment 786213 [details]
SRPM 0.8.3 - fixes #2
Comment 7 Simon A. Erat 2013-08-13 13:39:35 EDT
Created attachment 786226 [details]
SRPM 0.8.3 - fixes #3
Comment 8 Simon A. Erat 2013-08-13 13:45:32 EDT
Created attachment 786227 [details]
SRPM 0.8.3 - fixes #3
Comment 9 Simon A. Erat 2013-08-13 15:05:17 EDT
Created attachment 786251 [details]
SRPM 0.8.3 - fixes #4
Comment 10 Simon A. Erat 2013-08-14 03:53:47 EDT
Created attachment 786423 [details]
SRPM 0.8.4
Comment 11 Simon A. Erat 2013-08-14 03:54:19 EDT
Created attachment 786424 [details]
Specfile 0.8.4
Comment 12 Björn "besser82" Esser 2013-08-22 10:43:44 EDT
Avail on fedorapeople now:

Spec URL: http://sea.fedorapeople.org/review/script-tools-0.8.5-beta.fc17.src.rpm
Srpm URL: http://sea.fedorapeople.org/review/script-tools.spec
Comment 15 Michael Schwendt 2013-08-29 11:33:18 EDT
A lot of effort will be needed to bring this into shape. Please pay extra attention to the %files list.

> mkdir -p %{buildroot}%{stpath}	%{buildroot}${home}/.%{name}/configuration

${home} ???


> ln -sf %{stpath}/st %{buildroot}%{_usrbin}

%{_usrbin} ???
Comment 16 Simon A. Erat 2013-08-29 16:06:03 EDT
> mkdir -p %{buildroot}%{stpath}	%{buildroot}${home}/.%{name/configuration
Is a left over of a try to create the configuration dir from within the spec.
-> removed


> ln -sf %{stpath}/st %{buildroot}%{_usrbin}
Is required to symlink the INSTALLED script to where it actualy is installed
-> changed to: ln -sf %{stpath}/st %{buildroot}%{_usrbin}st

> unlisted
Permission errors in %{stpath}/UI_CLI/dev/git/*
-> changed permissions to +x

SPEC: http://sea.fedorapeople.org/review/script-tools/script-tools.spec
SRPM: http://sea.fedorapeople.org/review/script-tools/script-tools-0.8.6-beta1.fc17.src.rpm

PREVIEW-REVIEW: http://sea.fedorapeople.org/review/script-tools/review-script-tools-0.8.6-beta1.fc17.src.rpm.html
Comment 17 Michael Schwendt 2013-08-30 04:54:12 EDT
Don't rush. Take your time. Review your own package. Test your package. Have you given a test-build a try yet?

What does %{_usrbin} expand to?

Note You need to log in before you can comment on or make changes to this bug.